<template>
  <div class="home">
    <input type="text" v-model="inp" @change="inpChange">
    <canvas class="hexagram" width="200" height="200" style="border: 1px solid red;"></canvas>
  </div>
</template>

<script>

export default {
  name: 'Home',
  data(){
    return{
      inp:5000,
      width:null,
      height:null
    }
  },
  mounted(){
    this.canvasHandle(this.inp);
  },
  methods:{
    inpChange(val){
      this.canvasHandle(this.inp);
    },
    canvasHandle(val){   
        let s=val;
        let s1=s/Math.sqrt(3);
        let s2=Math.pow(Math.sin(Math.PI/3),2);
        let sideLength=Math.sqrt(s1)/(2*s2);
        let canvas=document.querySelector('.hexagram'),
        context=canvas.getContext('2d');
        canvas.height=canvas.height;
        let width=canvas.width,
            height=canvas.height;
        let originX=width/2,
            originY=height/2;
        context.lineWidth=1;
        context.translate(originX, originY)
        for(let i=0;i<6;i++){
            if(i===3){
                context.rotate(Math.PI * 2 / 6);
            }
            context.moveTo(0,-sideLength);
            context.lineTo(sideLength * Math.sin(Math.PI / 3), sideLength/ 2);
            context.stroke();
            context.rotate(Math.PI * 2 / 3);
        }

    }
  }
}
</script>

<style lang="less" scoped>
  .hexagram{
    animation:5s infinite;
  }
</style>

